%define lua_version 5.1

%if 0%{?rhel} >= 6
# sane part
%define lua_lpath %{_libdir}/lua/%lua_version
%define lua_spath %{_datadir}/lua/%lua_version
%else
# insane part
%define lua_lpath /usr/local/lib/lua/%lua_version
%define lua_spath /usr/local/share/lua/%lua_version
%endif

Name: op5-synergy-luapack
Version: 1.1.1
Release: op5.1
License: MIT
Packager: build@op5
BuildRoot: /tmp/%name-%version
Summary: Lua with syslog, POSIX functionality support
Group: op5/Monitor
Prefix: /usr
Requires: mysql lua
BuildRequires: glibc-devel readline-devel ncurses-devel lua-devel
Source0: %name-%version.tar.gz

%description
Package contains tools needed for op5 synergy:
* Daemonize
* lsyslog
* LuaSocket
* lposix
* LuaJson
* LuaLpeg
* LuaFilesystem

%prep
%setup -q

%build
[ "$RPM_ARCH" = "x86_64" ] && make ARCH=i64 || make ARCH=i32
make INSTALL_DAEMONIZE=%buildroot/opt/synergy/bin \
	INSTALL_LIB=%buildroot%lua_lpath \
	INSTALL_SHR=%buildroot%lua_spath \
	INSTALL_TOP=%buildroot%prefix install

%files
%defattr(755,root,root)
/opt/synergy/bin/daemonize
%lua_lpath/posix.so
%lua_lpath/syslog.so
%lua_lpath/cjson.so
%lua_lpath/socket.so
%lua_lpath/socket/unix.so
%lua_lpath/lfs.so
%prefix/share/doc/daemonize/license
%lua_spath/socket.lua
%prefix/share/doc/lua/*

%clean
rm -rf %buildroot
